#ifndef BLE_RUS_H
#define BLE_RUS_H

/* Includes ------------------------------------------------------------------*/
#include <stdint.h>
#include <stdbool.h>
#include "ble.h"
#include "ble_srv_common.h"

/* Exported definitions ------------------------------------------------------*/
#define MAX_RUS_LEN                             16
#define BLE_UUID_RECORDING_UNIT_SERVICE         0x805E //Should this be changed?
#define BLE_UUID_RECORDING_UNIT_TIME_STAMP      0x805D //Should this be changed?

/* Exported types ------------------------------------------------------------*/
typedef struct {
  ble_srv_security_mode_t      time_stamp_attr_md;
} ble_rus_init_t;

typedef struct ble_rus_s {
  uint16_t                      service_handle;
  uint8_t                        uuid_type;
  ble_gatts_char_handles_t      time_stamp_handles;
  ble_gatts_char_handles_t      recording_unit_id_handles;
  ble_gatts_char_handles_t      device_id_handles;
} ble_rus_t;

/* Exported functions --------------------------------------------------------*/
uint32_t ble_rus_init(ble_rus_t* p_rus, const ble_rus_init_t* p_rus_init);




#endif // BLE_RUS_H
